libstdc++: __gnu_parallel::__inner_product_selector< _It, _It2, _Tp > Struct Template Reference

libstdc++

__gnu_parallel::__inner_product_selector< _It, _It2, _Tp > Struct Template Reference

`#include <for_each_selectors.h>`

Inheritance diagram for __gnu_parallel::__inner_product_selector< _It, _It2, _Tp >:
[legend]

## Public Member Functions
| __inner_product_selector (_It __b1, _It2 __b2)
template<typename _Op>
_Tp | operator() (_Op __mult, _It __current)

## Public Attributes
_It | __begin1_iterator
_It2 | __begin2_iterator
_It | _M_finish_iterator

## Detailed Description

template<typename _It, typename _It2, typename _Tp>
struct __gnu_parallel::__inner_product_selector< _It, _It2, _Tp >

std::inner_product() selector.

Definition at line 222 of file for_each_selectors.h.

## Constructor & Destructor Documentation

## ◆ __inner_product_selector()

template<typename _It, typename _It2, typename _Tp>

__gnu_parallel::__inner_product_selector< _It, _It2, _Tp >::__inner_product_selector | ( | _It | __b1,
|  | _It2 | __b2 )
| inlineexplicit

Constructor.

Parameters

  __b1 | Begin iterator of first sequence.
  __b2 | Begin iterator of second sequence.

Definition at line 234 of file for_each_selectors.h.

References __begin1_iterator, and __begin2_iterator.

## Member Function Documentation

## ◆ operator()()

template<typename _It, typename _It2, typename _Tp>
template<typename _Op>

_Tp __gnu_parallel::__inner_product_selector< _It, _It2, _Tp >::operator() | ( | _Op | __mult,
|  | _It | __current )
| inline

Functor execution.

Parameters

  __mult | Multiplication functor.
  __current | iterator referencing object.

Returns
  Inner product elemental __result.

Definition at line 243 of file for_each_selectors.h.

References __begin1_iterator, and __begin2_iterator.

## Member Data Documentation

## ◆ __begin1_iterator

template<typename _It, typename _It2, typename _Tp>

_It __gnu_parallel::__inner_product_selector< _It, _It2, _Tp >::__begin1_iterator

Begin iterator of first sequence.

Definition at line 225 of file for_each_selectors.h.

Referenced by __inner_product_selector(), and operator()().

## ◆ __begin2_iterator

template<typename _It, typename _It2, typename _Tp>

_It2 __gnu_parallel::__inner_product_selector< _It, _It2, _Tp >::__begin2_iterator

Begin iterator of second sequence.

Definition at line 228 of file for_each_selectors.h.

Referenced by __inner_product_selector(), and operator()().

## ◆ _M_finish_iterator

template<typename _It>

_It __gnu_parallel::__generic_for_each_selector< _It >::_M_finish_iterator
| inherited

_Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 47 of file for_each_selectors.h.

The documentation for this struct was generated from the following file:

- for_each_selectors.h